// (C) 2021-2026 GoodData Corporation
import { eventGuard } from "./util.js";
export function alertCreated(ctx, alert, correlationId) {
    return {
        type: "GDC.DASH/EVT.ALERT.CREATED",
        ctx,
        correlationId,
        payload: {
            alert,
        },
    };
}
/**
 * Tests whether the provided object is an instance of {@link IDashboardAlertCreated}.
 *
 * @param obj - object to test
 * @beta
 */
export const isDashboardAlertCreated = eventGuard("GDC.DASH/EVT.ALERT.CREATED");
export function alertSaved(ctx, alert, correlationId) {
    return {
        type: "GDC.DASH/EVT.ALERT.SAVED",
        ctx,
        correlationId,
        payload: {
            alert,
        },
    };
}
/**
 * Tests whether the provided object is an instance of {@link IDashboardAlertSaved}.
 *
 * @param obj - object to test
 * @beta
 */
export const isDashboardAlertSaved = eventGuard("GDC.DASH/EVT.ALERT.SAVED");
